me.legofreak107.vehiclesplus.vehicles.vehicles.objects.types

## Class HelicopterType

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.types.base.VehicleType
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.types.HelicopterType

    public class HelicopterType
    extends VehicleType

### Constructor Summary

Constructors
Constructor and Description
`HelicopterType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MomentumType` `getMomentumType()` The friction of the vehicle with the ground/surrounding.
`MovementType` `getMovementType()` The main movement type of the vehicle
`TiltType` `getTiltType()` The tilt of the vehicle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HelicopterType

    public HelicopterType()

### Method Detail

#### getMovementType

    public MovementType getMovementType()

The main movement type of the vehicle

Overrides:
  `getMovementType` in class `VehicleType`

#### getMomentumType

    public MomentumType getMomentumType()

The friction of the vehicle with the ground/surrounding.

Overrides:
  `getMomentumType` in class `VehicleType`

#### getTiltType

    public TiltType getTiltType()

The tilt of the vehicle.

Overrides:
  `getTiltType` in class `VehicleType`